/* -----------------Animations---------------- */

@keyframes path_come_large {
    from {
        height: 0;
    }
    to {
        height: 250px;
    }
}

@keyframes path_come_medium {
    0% {
        height: 0%;
    }
    100% {
        height: 170px;
    }
}

@keyframes path_come_small {
    from {
        height: 0%;
    }
    to {
        height: 100px;
    }
}

@keyframes header_image_come {
    0% {
        scale: 0
    }
    60% {
        scale: 0.8;
    }
    
    100% {
        scale: 0.7;
    }
}

@keyframes dot1 {
    0% {
        scale: 1;
    }
    50% {
        scale: 1.1;
        transform: translateY(-10px);
        background-color: #6078ff;
    }
    
    100% {
        scale: 1.0;
        transform: translateY(0px)
    }
}

@keyframes dot2 {
    0% {
        scale: 1;
    }
    50% {
        scale: 1.1;
        transform: translateY(-10px);
        background-color: #6078ff;
    }
    
    100% {
        scale: 1.0;
        transform: translateY(0px)
    }
}

@keyframes dot3 {
    0% {
        scale: 1;
    }
    50% {
        scale: 1.1;
        transform: translateY(-10px);
        background-color: #6078ff;
    }
    
    100% {
        scale: 1.0;
        transform: translateY(0px)
    }
}

/* __________________________________________________ Main Styles ________________________________________________________ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    color: #000000;
    font-size: 16px;
    cursor: default;
}

html {
    height: -webkit-fill-available;
}

body {
    font-family: 'delivery_primary';
    position:relative;
    overflow: hidden;
    width: 100%;
    height: -webkit-fill-available;
}

.menu-main-page-container .pc-x-scroll {
    display: none;
}


.loading-screen {
    position: absolute;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100px;
    aspect-ratio: 1/1;
    border-radius: 12px;
    box-shadow: 0px 4px 25px -10px #a8a8a8;
    background-color: #fbfeff;
    top: 50%;
    right: 50%;
    transform: translate3d(50%, -50%, 0);
    z-index: 1000;
}

.loading-dot-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading-dot {
    width: 12px;
    aspect-ratio: 1/1;
    background-color: #7d90ff;
    border-radius: 50%;
}


.dot-1 {
    margin-left: .5rem;
    animation: dot1 .5s ease-in-out infinite;
    animation-delay: 0s;
}

.dot-2 {
    animation: dot2 .5s ease-in-out infinite;
    animation-delay: .1s;
}

.dot-3 {
    margin-right: .5rem;
    animation: dot3 .5s ease-in-out infinite;
    animation-delay: .2s;
}

@media (max-width: 500px) {
    .horizontal-menu-items {
        flex: 0 0 calc(19%) !important;
    }

    .horizontal-menu-items {
        flex: 0 0 calc(24%) !important;
    }

    .horizontal-menu-items {
        padding: 8px 12px;
    }

    .off-scroll-container .slide .off-text h2 {
        padding: 0 20px;
        line-height: 20px;
        font-size: 16px;
        margin-bottom: 4px;
        margin-top: 10px;
    }

    .best-opp-container .price, .best-opp-container .price span {
        font-size: 14px;
    }

    .best-opp-container .profit, .best-opp-container .profit span {
        font-size: 14px;
    }

    .best-opp-container .buy-btn {
        padding: 8px 18px;
        border-radius: 10px;
        font-size: 13px;
        margin-top: 1vh;
    }

    .category-product-item .category-product-item-details .category-product-item-price .price, .category-product-item .category-product-item-details .category-product-item-price .price span {
        font-size: 15px;
        font-weight: 600;
        color: #1a0b0b;
    }

    .best-opp-actions {
        width: 50%;
        padding: 1px 1px;
    }

    .best-opp-actions .add-to-cart-container {
        padding: 1px 1px;
    }

    .category-product-item .category-product-item-details .category-product-item-text h4 {
        font-size: 14px;
    }

    .category-product-item .category-product-item-details .category-product-item-text p {
        font-size: 12px;
    }

    .category-product-item .category-product-item-details .price-text {
        font-size: 15px;
    }

    .category-product-item-price .add-to-cart-text {
        display: flex;
        width: 27px;
        aspect-ratio: 1/1;
        padding: 0;
        justify-content: center;
        align-items: center;
        border-radius: 8px;
    }

    .callus-text {
        font-size: 14px !important;
    }

    .category-product-item-actions .add-to-cart-container {
        padding: 1px 5px;
        border-radius: 8px;
        gap: 8px;
        margin-top: 6px;
    }
}

@media (max-width: 400px) {
    .header {
        padding: 0px 20px;
    }

    .product-menu-main-main_contrainer .horizontal-menu-main-page {
        padding: 0px 20px !important;
    }

    .horizontal-menu-items {
        flex: 0 0 calc(27%) !important;
    }

    .horizontal-menu-items {
        padding: 8px 12px;
    }

    .horizontal-menu-items {
        width: 75px;
    }

    .best-opp-container .price, .best-opp-container .price span {
        font-size: 13px;
    }

    .best-opp-container .profit, .best-opp-container .profit span {
        font-size: 13px;
    }

    .best-opp-container .buy-btn {
        padding: 6px 16px;
        border-radius: 9px;
        font-size: 12px;
        margin-top: 0;
    }

    .padding-main-page {
        padding: 0 30px;
    }

    .horizontal-menu-main-page {
        padding: 5px 30px !important;
    }

    .name-main-page {
        padding: 5px 30px;
    }

    .off-scroll-container .slider {
        height: 160px;
    }

    .name-main-page h1 {
        color: #fff;
        font-size: 1.7rem;
    }

    .name-main-page h3 {
        color: #b4370d;
        font-size: 0.85rem;
    }

    .menu-main-page-container {
        padding: 12px 0 0 0;
    }

    .product-menu-main-main_contrainer .menu-main-page-container {
        padding: 25px 0 0 0;
    }

    .header {
        height: 3.7rem;
    }

    .search-box {
        height: 3.2rem;
    }

    .filter-btn {
        width: 1.6rem;
        left: 4px;
    }

    .header-btns {
        min-width: 136px;
        display: flex;
        justify-content: space-around;
        align-items: center;
        width: 140px;
        height: 3.2rem;
        padding: 10px;
    }

    .user-header-notification-ui {
        top: 40px;
        left: -60px !important;
        width: 300px;
        height: 0;
        border-radius: 13px;
        background-color: white;
        box-shadow: 0px 4px 15px -10px #000000;
        z-index: 10;
        padding: 20px;
        transition: all .2s;
    }

    .notif-title {
        color: #353535;
        text-align: right;
        font-weight: 900;
        font-size: 13px;
        line-height: 1rem;
    }

    .notification-item, .notification-item span {
        color: #777777;
        font-size: 13px;
    }

    .inner-user-box .user-header-notification-box .user-header-notification-ui {
        top: 40px;
        right: -60px !important;
        width: 300px;
        height: 0;
        left: unset;
        border-radius: 13px;
        background-color: white;
        box-shadow: 0px 4px 15px -10px #000000;
        z-index: 10;
        padding: 20px;
        transition: all .2s;
    }

    .container td {
        position: relative;
        font-size: 12px;
        color: #333;
        text-align: center;
    }

    .callus-text {
        font-size: 12px !important;
    }
}

/* ___________________________________________________ Login/Register ___________________________________________________ */

.plogin-artwork {
    width: 40%;
}

.plogin-form-container {
    width: 60%;
}

@media (max-width: 500px) {
    .plogin-artwork {
        display: none;
    }

    .plogin-form-btn {
        height: 70px;
        border-radius: 0 0 7px 7px;
    }

    .plogin-form-container {
        width: 100%;
    }
}

/* ___________________________________________________ Cart ___________________________________________________ */

@media (max-width: 500px) {
    .page-title-cart {
        font-size: 1.2rem;
    }
}

@media (max-width: 450px) {
    .page-title-cart {
        font-size: 1.1rem;
    }

    .cart-total-price-container h3,
    .cart-total-price-container button {
        font-size: 14px;
    }

    .cart-container .product-info h3,
    .cart-container .product-info p {
        font-size: 14px;
    }

    .product-cart .quantity-controls button {
        width: 23px;
        height: 23px;
        border: none;
        border-radius: 6px;
        background: #fff;
        font-size: 1rem;
        cursor: pointer;
    }
}

@media (max-width: 400px) {
    .page-title-cart {
        font-size: 16px;
    }

    .cart-total-price-container h3,
    .cart-total-price-container button {
        font-size: 12px;
    }

    .cart-container .product-info h3,
    .cart-container .product-info p {
        font-size: 12px;
    }

    .product-cart .quantity-controls button {
        width: 21px;
        height: 21px;
        border: none;
        border-radius: 6px;
        background: #fff;
        font-size: 1rem;
        cursor: pointer;
    }
}

/* ________________________________________________ Dashboard _______________________________________________ */

.main-content-body div {
    margin-bottom: 10px;
}

.main-content-header {
    margin-bottom: 10px;
}

.body-form-1-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
}

.main-content-body input:focus ~ label, .main-content-body input:not(:placeholder-shown) ~ label, .upload-item-box input:focus ~ label, .upload-item-box input:not(:placeholder-shown) ~ label {
    top: -25px;
    right: 5px;
    font-size: 0.9rem;
    color: #333;
}

.body-form-1 {
    width: 100%;
    margin-top: 1rem;
    margin-left: 0;
    position: relative;
}

.customer-box-main .main-content-1-box {
    box-shadow: none;
}

.main-content-1-box {
    aspect-ratio: 3 / 2;
    padding: 10px 20px 10px 20px;
    border-radius: 6px;
    background-color: #333;
    box-shadow: 0px 4px 15px -10px #b4b4b4;
}

.body-form-2 {
    width: 93.6%;
    margin-top: 2.2rem;
    margin-left: 0;
    position: relative;
}

.main-content-body input, .upload-item-box input,
.main-content-body textarea {
    font-size: 16px;
    padding: 10px;
    display: block;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-family: 'delivery_primary';
}

.main-content-body textarea {
    min-height: 50px;
    padding: 10px;
}

.body-form-2 {
    width: 100%;
    margin-top: 2.2rem;
    margin-left: 0;
    position: relative;
}

.order-details-show {
    width: 100%;
}

.order-items-show-box {
    width: 100%;
}

.order-details-show-box {
    width: 100%;
    max-width: 420px;
}

.user-box {
    padding-left: 10px;
    /* padding-right: 10px; */
}

.container {
    margin: 50px 0;
    width: 100%;
}

.container td:nth-child(2),
.container th:nth-child(2),
.container td:nth-child(3),
.container th:nth-child(3) {
    display: none;
}

@media (max-width: 400px) {
    .main-content {
        padding: 30px 15px;
    }

    .user-box {
        padding-left: 0;
        padding-right: 0;
    }

    .inner-user-box {
        margin-top: 0;
        border-radius: 0;
    }

    .order-status-header-text {
        font-size: 12px;
    }

    .user-box h3 {
        font-size: 18px;
    }

    .order-detail-main-bottom .order-date-main-bottom {
        font-size: 16px;
    }
    
    .order-detail-main-text {
        font-size: 16px;
        text-align: center;
    }
    
    .main-content-body input, .upload-item-box input, .main-content-body textarea {
        font-size: 13px !important;
        padding: 10px;
        display: block;
        width: 100%;
        min-width: 100%;
        max-width: 100%;
        background-color: #f5f5f5;
        border: 1px solid #ccc;
        border-radius: 5px;
        font-family: 'delivery_primary';
    }

    .main-content-body label, .upload-item-box label {
        position: absolute;
        top: 10px;
        right: 10px;
        font-size: 13px;
        color: #aaa;
        pointer-events: none;
        transition: all 0.2s ease;
        z-index: 4;
    }
}

@media (max-width: 360px) {
    .main-content-header {
        display: block;
        width: fit-content;
        margin: 20px auto;
        /* justify-content: space-between; */
        /* align-items: center; */
    }
}